#include <stdio.h>

typedef struct student {
	char name[128];
	int kor, eng, math;
} student;

float calcAvg(student x)
{
	return (x.kor + x.eng + x.math) / 3.0f;
}

int countFiltered(student students[], int size)
{
	int cnt = 0;
	for (int i = 0; i < size; i++)
		if (calcAvg(students[i]) >= 90.0f)
			cnt++;
	return cnt;
}

int main()
{
	student students[] = {
		{ "kim", 100, 100, 100 },
		{ "lee", 80, 70, 90 },
		{ "park", 90, 80, 100 }
	};
	int cnt = countFiltered(students, 3);
	printf("%d", cnt);
}