#include <stdio.h>
#include <math.h>

typedef struct vector {
	float x, y;
} vector;

void normalize(vector* p)
{
	float size = sqrtf(p->x * p->x + p->y * p->y);
	p->x /= size;
	p->y /= size;
}

int main()
{
	vector v = { 1.0f, 2.0f };
	normalize(&v);
	printf("%.2f, %.2f", v.x, v.y);
}