#include <stdio.h>
#include <math.h>

int quadraticEquation(int a, int b, int c, float* x, float* y)
{
	int D = b * b - 4 * a * c;
	if (D == 0)
	{
		*x = -b / (2.0f * a);
		return 1;
	}
	else if (D > 0)
	{
		*x = (-b + sqrt(D)) / (2.0f * a);
		*y = (-b - sqrt(D)) / (2.0f * a);
		return 2;
	}
	return 0;
}

int main()
{
	float x = 0;
	float y = 0;
	int cnt = quadraticEquation(1, 2, -5, &x, &y);

	if (cnt == 1)
		printf("%.2f", x);
	else if (cnt == 2)
		printf("%.2f %.2f", x, y);
}