#include <stdio.h>

typedef enum type {
	INT, FLOAT
} type;

void* max(type t, void* a, void* b)
{
	if (t == INT)
	{
		int ra = *(int*)a;
		int rb = *(int*)b;
		if (ra > rb)
			return a;
		return b;
	}
	else if (t == FLOAT)
	{
		float ra = *(float*)a;
		float rb = *(float*)b;
		if (ra > rb)
			return a;
		return b;
	}
}

int main()
{
	int a = 5, b = 10;
	float x = 10.0f, y = 5.0f;
	
	int ab = *(int*)max(INT, &a, &b);
	float xy = *(float*)max(FLOAT, &x, &y);

	printf("%d %.2f", ab, xy);
}